@import "./partials/core";

.header {
  padding-top: 2.3rem;
  padding-bottom: 1.9rem;
  .container{
    position: relative;
  }
}

.menu { 
  display: none;
  background-color: $wild-sand;
  flex-direction: column;
  position: absolute;
  right: 2.5rem;
  min-width: 18.2rem;

  @media (min-width: 712px){
    flex-direction: row;
    display: flex;
    justify-content: space-evenly;
    position: static;
    max-width: 90rem;
    background-color: transparent;
    margin: 0 auto;
  }




  &.active {
    display: flex;
  }

  &__item {
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 0.1rem;
    font-size: 1.6rem;
    color: $tundora;
    padding: 1rem 0;
    padding-left: 1.3rem;
    @media (min-width: 712px){
     font-size: 1.1rem;
     padding: 2rem 0;
    }
    @media (min-width: 1120px) {
      padding: 2.5rem 0;
    }
  }

  &__item:hover {
    color: $breaker-bay;
  }

  &__btn--toggle {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: auto;
    margin-right: 0;
    width: 4.4rem;
    height: 3.7rem;
    background-color: $black;
    @media (min-width: 712px){
      display: none;
    }
  }

  &__btn--toggle .burger-icon {
    display: block;
  }

  &__btn--toggle .times-icon {
    display: none;
  }

  &__btn--toggle.active .burger-icon {
    display: none;
  }

  &__btn--toggle.active .times-icon {
    display: block;
  }
}



.hero {
  padding-bottom: 1.9rem;

  &__img {
    width: 100%;
    min-height: 15rem;
  }
}

.posts-list {
  padding-top: 1.9rem;
  padding-bottom: 3.9rem;
}

.heading {
  margin-bottom: 2.3em;
  text-transform: uppercase;
  font-size: 1rem;
  color: $tundora;
  font-weight: bold;
  line-height: 1;
  @media (min-width: 712px) {
    font-size: 1.6rem;
  }

  &__right{
    display: none;
    font-size: 1.4rem;
    font-weight: bold;
    @media (min-width: 712px) {
      display: inline-block;
    }
  }
  &__left::before {    
    content: "";
    width: 0.6rem;
    height: 0.3rem;
    background: $tundora;
    margin-right: 0.2rem;
    line-height: normal;
    display: inline-block;
    vertical-align: middle;
    transform: translateY(-50%);
    @media (min-width: 510px) {
      width: 0.8rem;
      height: 0.4rem;
    }
  }
  &__right::after {
    content: "";
    width: 0.6rem;
    height: 0.3rem;
    background: $tundora;
    margin-left: 0.4rem;
    display: inline-block;
    vertical-align: middle;
    transform: translateY(-50%);
    @media (min-width: 510px) {
      width: 0.8rem;
      height: 0.4rem;
    }
  }
  &__center{
    color: $white;
    margin-bottom: 0.8rem;
    text-align: center;
    @media (min-width: 510px){
      font-size: 1.6rem;
    }
    @media (min-width: 1120px){
      margin-bottom: 2.2rem;
    }
  }
  &__center::before, &__center::after{
    content: "";
    width: 0.8rem;
    height: 0.2rem;
    background: $white;
    margin-right: 0.4rem;
    line-height: normal;
    display: inline-block;
    vertical-align: middle;
    transform: translateY(-50%);
  }
  &__center::after{
    margin-right: 0;
    margin-left: 0.4rem;
  }
  &__subtext{
    font-size: 1.2rem;
    line-height: 2rem;
    text-align: center;
    font-weight: normal;
    text-transform: none;
    color: $silver;
    margin: 0 auto;
    @media (min-width: 510px){
      font-size: 1.6rem;
      line-height: 2;
    }
    @media (min-width: 1120px){
      text-align: center;
      max-width: 68.4rem;
    }
  }
}

.posts {
  @include grid(1, 3.3rem, 100%);
  @media (min-width: 510px) {
  @include grid(1, 3.3rem, 100%);
    &__content{
      max-width: 40.4rem;
    }
  }
  @media (min-width: 1120px) {
    @include grid(2, 3.3rem, auto);
    &__content{
      max-width: 55.5rem;
    }
  }

  &__item {
    display: flex;
    flex-wrap: wrap;
    @media (min-width: 510px){
      flex-wrap: nowrap;
    }
    
  }

  &__item-img {
    height: 14rem;
    flex-basis: 16rem;
    margin-bottom: 1.1rem;
    @media (min-width: 510px){
        margin-right: 2rem;
    }
  }

  &__item:last-child {
    display: none;
    @media (min-width: 510px){
      display: flex;
    }
  }

  &__content {
    &-heading {
      font-size: 1.4rem;
      font-weight: bold;
      color: $tundora;
      margin-bottom: 1.2rem;
      @media (min-width: 510px){
       font-size: 1.6rem;
      }
    }

    &-credentials {
      font-size: 1.1rem;
      color: $boulder;
      @media (min-width: 510px){
        font-size: 1.2rem;
       }
    }


    &-credentials span::after {
      content: "/";
      display: inline-block;
      margin: 0 1rem;
    }

    &-credentials span:last-child::after {
      content: "";
      margin: 0;
    }

    &-text {
      font-size: 1.4rem;
      line-height: 2.6rem;
      color: $light;
      display: none;
      @media (min-width: 510px){
        display: block;
      }
    }
  }
}
.instagram{
  
  .heading{
  display: flex;
  justify-content: space-between;
  align-items: center;
  }
}
.inst-list{
  margin-top: 1.3rem;
  margin-bottom: 4.2rem;
  display: flex;
  justify-content: center;
  &__item{
    max-width: 28.5rem;
    max-height: 28.5rem;
    width: 100%;
    height: 100%;
    display: none;
    img{
      width: 100%;
      height: 100%;
    }
    @media (min-width: 712px) {
      display: block;
      max-width: 24.9rem;
      max-height: 24.9rem;
      margin-right: .9rem;
      margin-left: .9rem;
      &:nth-child(3n){
        display: none;
      }
    }
    @media (min-width: 1120px){
      &:nth-child(n){
        display: block;
      }
    }
  }
  &__item:first-child{
   display: block;
  }
}

.footer{
  background-color: $black;
  padding-top: 3.8rem;
  padding-bottom: 4.7rem;
}
.social{
  display: flex;
  justify-content: center;
  margin-bottom: 2.5rem;
  &__item{
    display: block;
    width: 3.4rem;
    height: 3.4rem;
    margin-right: 0.6rem;
  }
  &__item:last-child{
    margin-right: 0;
  }
}

.icon{
  width: 100%;
  height: 100%;
  display: block;
  &-rss{
    background-image: url("/dist/assets/icons/RSS.png");
  }
  &-facebook{
    background-image: url("/dist/assets/icons/Facebook.png");
  }
  &-tublr{
    background-image: url("/dist/assets/icons/Twitter.png");
  }
  &-dribble{
    background-image: url("/dist/assets/icons/Dribbble.png");
  }
  &-pinterest{
    background-image: url("/dist/assets/icons/Pinterest.png");
  }
}

.contacts{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  color: $white;
  font-size: 1.4rem;
  text-align: center;
  line-height: 2.4rem;

  &__item{
    &::after{
      content: "/";
      margin-left: 1rem;
      margin-right: 1rem;
      color: $white;
    }
    &:last-child::after{
      margin-right: 0;
      content: "";
    }
    &-address{
      text-decoration: none;
      font-style: normal;
    }
   
    &-tel, &-mail{
      color: $white;
      text-decoration: none;
    }
  }
 
  @media (min-width: 510px){
    font-size: 1.6rem;
  }
  
 
}